{% set CodiceModulo = "COM_CONTOCORRENTE_DEDICATO" %}
{% set Urn = "document:c_a794:appalto;conto.corrente.dedicato;comunicazione" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
  { "codice":"DAE-CDI",
    "urn":"document:s_italia:generale;documento.identita;documentazione",
    "descrizione_tabella_allegati":"copia del documento di identità",
    "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
    "descrizione_meta":"", 
    "filename":"Documento identita",
    "firmatari":"Titolare_CodiceFiscale",
    "firmatari_label":"il dichiarante",
    "firmato":"NO",
    "numero":"1",
    "dimensione":"15",                                        
    "enabled":"",
    "dynamic_check":"",
    "tipo":"allegato",
    "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  }
]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo="Tributi"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Comunicazione di conto corrente dedicato ad appalto"
destinatario_amministrazione=""
destinatario_ufficio="UOSEGRETERIAGENERALE"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="1.0|17/11/2023"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %}Comunicazione di conto corrente dedicato ad appalto o commessa pubblica{% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="4">
  {{ utils.firma() }}
</globo_fondo_pagina>

<input dynamic_value="#Ente.value()" id="Parametri_Comune" name="Parametri_Comune" type="hidden"/>

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - comunicazione conto corrente dedicato ad appalti e commesse pubbliche'" id="Oggetto" name="Oggetto" type="hidden"/>

{{ intestazioni.intestazione_moduloprincipale_senzabollo() }}

<div class="container">
  <div class="title-1"> Comunicazione di conto corrente dedicato ad appalto e/o commessa pubblica </div>
  <div class="title-2"> Ai sensi dell'articolo 3, comma 7 della Legge 13/08/2010, n. 136 </div>
</div>

<!-- Ulteriori ruoli disponibili: Responsabile unico del procedimento, Procuratore con potere di rappresentanza legale, Incaricato dell’impresa di onoranze funebri, Direttore tecnico, Gestore, Dipendente, Delegato -->
{{ anagrafica.societa(prefix='Titolare', 
                      intestazione="Il sottoscritto", 
                      ruoli=["Persona fisica", "Titolare", "Legale rappresentante"], 
                      Solo1="Richiedente", 
                      visibility_mail="mail_ordinaria", 
                      pec_obbligatoria="false", 
                      cciaa_visibile="true", 
                      campi_readonly="readonly",
                      visibility_residenza="visibility:visibility", 
                      visibility_asterisco_ruolo="display:none", 
                      tipologia_associazione="false", 
                      mailordinaria_obbligatoria="false", 
                      tipologia_entepubblico="false", 
                      visibility_codice_fatturazione="false") }}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> con riferimento all'appalto o commessa</span>
    </div>
  </div>
 
<div class="form-row">
    <div class="form-group col-lg-7">
    <label for="Parametri_Appalto_di_riferimento">Specificare</label>
      <input class="form-control" type="text" id="Parametri_Appalto_di_riferimento" name="Parametri_Appalto_di_riferimento" label="Appalto di riferimento" mandatory="true">
    </div>
    <div class="form-group col-lg-5">
        <label for="Parametri_Appalto_di_riferimentoCIG">CIG</label>
        <input class="form-control" type="text" id="Parametri_Appalto_di_riferimentoCIG" name="Parametri_Appalto_di_riferimentoCIG" label="CIG" format="CIG" mandatory="true">
      </div>
  </div>
</div>

<div class="container">
  <div class="paragraph text-justify"> Al fine di poter assolvere agli obblighi sulla tracciabilità dei movimenti finanziari previsti dalla Legge 13/08/2010, n. 136 </div>
  <div class="title-3"> COMUNICA </div>
  <div class="paragraph text-justify"> i dati dei conti correnti dedicati alla gestione dei movimenti finanziari </div>
</div>

<globo_salto_pagina></globo_salto_pagina>

{% for i in range(1, 6) %}
{% set numeri_ordinali = ["primo", "secondo", "terzo", "quarto", "quinto"] %}
  
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> <input id="CC{{ i }}" name="CC{{ i }}" type="checkbox" value="SI" {% if i == 1 %} checked="checked" dynamic_check="true" {% endif %}/>
        {{ numeri_ordinali[i - 1] }} conto corrente </span>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Stato conto corrente </label>
    </div>
  </div>
  <div class="form-check indent-1">
    <div id="Tassonomia_CC{{ i }}_Preesistenza" name="Tassonomia_CC{{ i }}_Preesistenza" label="Preesistenza conto corrente" mandatory_enabled="#CC{{ i }}.checked()"></div>
    <input class="form-check-input" id="Tassonomia_CC{{ i }}_Preesistenza1" name="Tassonomia_CC{{ i }}_Preesistenza" type="radio" value="1">
    <label class="form-check-label" for="Tassonomia_CC{{ i }}_Preesistenza1"> preesistente </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_CC{{ i }}_Preesistenza2" name="Tassonomia_CC{{ i }}_Preesistenza" type="radio" value="2">
    <label class="form-check-label" for="Tassonomia_CC{{ i }}_Preesistenza2"> nuova attivazione </label>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Classificazione conto corrente </label>
    </div>
  </div>
  <div class="form-check indent-1">
    <div id="Tassonomia_CC{{ i }}_Tipo" name="Tassonomia_CC{{ i }}_Tipo" label="Tipo conto corrente" mandatory_enabled="#CC{{ i }}.checked()"></div>
    <input class="form-check-input" id="Tassonomia_CC{{ i }}_Tipo1" name="Tassonomia_CC{{ i }}_Tipo" type="radio" value="1">
    <label class="form-check-label" for="Tassonomia_CC{{ i }}_Tipo1"> conto corrente postale </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_CC{{ i }}_Tipo2" name="Tassonomia_CC{{ i }}_Tipo" type="radio" value="2">
    <label class="form-check-label" for="Tassonomia_CC{{ i }}_Tipo2"> conto corrente bancario </label>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-4">
      <label for="Parametri_CC{{ i }}_Istituto"> Istituto </label>
      <input class="form-control" id="Parametri_CC{{ i }}_Istituto" name="Parametri_CC{{ i }}_Istituto" label="Istituto" mandatory_enabled="#CC{{ i }}.checked()">
    </div>
    <div class="form-group col-lg-4">
      <label for="Parametri_CC{{ i }}_Filiale"> Filiale o sede </label>
      <input class="form-control" id="Parametri_CC{{ i }}_Filiale" name="Parametri_CC{{ i }}_Filiale" label="Filiale o sede" mandatory_enabled="#CC{{ i }}.checked()">
    </div>
    <div class="form-group col-lg-4">
      <label for="Parametri_CC{{ i }}_Intestatario"> Intestatario </label>
      <input class="form-control" id="Parametri_CC{{ i }}_Intestatario" name="Parametri_CC{{ i }}_Intestatario" label="Intestatario" mandatory_enabled="#CC{{ i }}.checked()">
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_CC{{ i }}_IBAN"> IBAN </label>
      <input class="form-control" id="Parametri_CC{{ i }}_IBAN" name="Parametri_CC{{ i }}_IBAN" label="IBAN" format="iban" mandatory_enabled="#CC{{ i }}.checked()">
    </div>
  </div>
</div>

{% if loop.index == 4%} 
<globo_salto_pagina></globo_salto_pagina>
{% endif %}
{% endfor %}


{{ utils.Dichiara_445("DICHIARA") }}

<div class="container">
  <div class="paragraph text-justify"> che i seguenti soggetti saranno delegati ad operare sul conto corrente dedicato: </div>
</div>

<input id="AventeTitolo1_Titolo" name="AventeTitolo1_Titolo" type="hidden" value="Delegato"/>
<input id="AventeTitolo1_Ruolo" name="AventeTitolo1_Ruolo" type="hidden" value="Delegato"/>
{{ anagrafica.persona_fisica("AventeTitolo1", '<input id="AventeTitolo1_DatiPersonaObbligatori" name="AventeTitolo1_DatiPersonaObbligatori" type="checkbox" checked="checked" dynamic_check="true"/> primo soggetto delegato', "display:none", "cursor:default", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}

<input id="AventeTitolo2_Titolo" name="AventeTitolo2_Titolo" type="hidden" value="Delegato"/>
<input id="AventeTitolo2_Ruolo" name="AventeTitolo2_Ruolo" type="hidden" value="Delegato"/>
{{ anagrafica.persona_fisica("AventeTitolo2", '<input id="AventeTitolo2_DatiPersonaObbligatori" name="AventeTitolo2_DatiPersonaObbligatori" type="checkbox"/> secondo soggetto delegato', "display:none", "cursor:default", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}

<input id="AventeTitolo3_Titolo" name="AventeTitolo3_Titolo" type="hidden" value="Delegato"/>
<input id="AventeTitolo3_Ruolo" name="AventeTitolo3_Ruolo" type="hidden" value="Delegato"/>
{{ anagrafica.persona_fisica("AventeTitolo3", '<input id="AventeTitolo3_DatiPersonaObbligatori" name="AventeTitolo3_DatiPersonaObbligatori" type="checkbox"/> terzo soggetto delegato', "display:none", "cursor:default", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}

<globo_salto_pagina></globo_salto_pagina>

<input id="AventeTitolo4_Titolo" name="AventeTitolo4_Titolo" type="hidden" value="Delegato"/>
<input id="AventeTitolo4_Ruolo" name="AventeTitolo4_Ruolo" type="hidden" value="Delegato"/>
{{ anagrafica.persona_fisica("AventeTitolo4", '<input id="AventeTitolo4_DatiPersonaObbligatori" name="AventeTitolo4_DatiPersonaObbligatori" type="checkbox"/> quarto soggetto delegato', "display:none", "cursor:default", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}

<input id="AventeTitolo5_Titolo" name="AventeTitolo5_Titolo" type="hidden" value="Delegato"/>
<input id="AventeTitolo5_Ruolo" name="AventeTitolo5_Ruolo" type="hidden" value="Delegato"/>
{{ anagrafica.persona_fisica("AventeTitolo5", '<input id="AventeTitolo5_DatiPersonaObbligatori" name="AventeTitolo5_DatiPersonaObbligatori" type="checkbox"/> quinto soggetto delegato', "display:none", "cursor:default", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}><label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

{{ utils.firma_hidden() }}
 
<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value="" />

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
